classification
Title: Update libffi dependency to 3.2.1?
Type: Stage: resolved
Components: Build Versions: Python 3.6, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2018-11-30 12:37 by vstinner, last changed 2020-02-11 00:00 by vstinner. This issue is now closed.

Messages (2)
msg330784 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-11-30 12:37
Python 2.7 and 3.6 embed a copy of libffi 3.1, whereas libffi 3.2.1 was released on November 12, 2014. Should we update libffi?

I'm talking about the directory Modules/_ctypes/libffi/.

It seems like Fedora 29 still uses libffi 3.1:

$ rpm -q libffi
libffi-3.1-18.fc29.x86_64

Note: Not only we vendor a copy of libffi and we also modify it :-/

Hopefully, libffi copy has been removed from Python 3.7!
msg361760 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-11 00:00
Python 2.7 and 3.6 don't accept bugfixes anymore. I close the issue.
History
Date User Action Args
2020-02-11 00:00:42vstinnersetstatus: open -> closed
versions: + Python 2.7, Python 3.6, - Python 3.8
messages: + msg361760

resolution: out of date
stage: resolved
2018-11-30 12:37:15vstinnercreate